## cascading.tap.hadoop
Class S3HttpFileSystem

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.fs.FileSystem
              cascading.tap.hadoop.StreamedFileSystem
                  cascading.tap.hadoop.S3HttpFileSystem

All Implemented Interfaces:
  Closeable, Configurable

Deprecated.

    @Deprecated
    public class S3HttpFileSystem

extends StreamedFileSystem

Class S3HttpFileSystem provides a basic `FileSystem` for reading and writing remote S3 data.

To use this FileSystem, reference your S3 resources with the following URI pattern:
s3tp://AWS_ACCESS_KEY_ID:AWS_SECRET_ACCESS_KEY@bucketname/key

Optionally these configuration/system properties can be set, instead of stuffing values into the URL authority: "fs.s3tp.awsAccessKeyId" and "fs.s3tp.awsSecretAccessKey".

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.fs.FileSystem
`FileSystem.Statistics`

Field Summary
`static String` `S3TP_SCHEME` Deprecated.

Fields inherited from class org.apache.hadoop.fs.FileSystem
`statistics`

Constructor Summary
`S3HttpFileSystem()` Deprecated.

Method Summary
`FSDataOutputStream` `create(Path path, FsPermission permission, boolean overwrite, int bufferSize, short replication, long blockSize, Progressable progress)` Deprecated.
`boolean` `delete(Path path)` Deprecated.
`boolean` `delete(Path path, boolean recursive)` Deprecated.
`boolean` `exists(Path path)` Deprecated.
`FileStatus` `getFileStatus(Path path)` Deprecated.
`URI` `getUri()` Deprecated.
`void` `initialize(URI uri, Configuration conf)` Deprecated.
`FileStatus[]` `listStatus(Path path)` Deprecated.
`boolean` `mkdirs(Path path, FsPermission fsPermission)` Deprecated.
`FSDataInputStream` `open(Path path, int i)` Deprecated.

Methods inherited from class cascading.tap.hadoop.StreamedFileSystem
`append, getMD5SumFor, getMD5SumFor, getWorkingDirectory, rename, setMD5SumFor, setMD5SumFor, setWorkingDirectory`

Methods inherited from class org.apache.hadoop.fs.FileSystem

`append, append, checkPath, clearStatistics, close, closeAll, completeLocalOutput, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyToLocalFile, copyToLocalFile, create, create, create, create, create, create, create, create, create, create, createNewFile, deleteOnExit, get, get, getAllStatistics, getBlockSize, getContentSummary, getDefaultBlockSize, getDefaultReplication, getDefaultUri, getFileBlockLocations, getFileChecksum, getHomeDirectory, getLength, getLocal, getName, getNamed, getReplication, getStatistics, getStatistics, getUsed, globStatus, globStatus, isDirectory, isFile, listStatus, listStatus, listStatus, makeQualified, mkdirs, mkdirs, moveFromLocalFile, moveFromLocalFile, moveToLocalFile, open, printStatistics, processDeleteOnExit, setDefaultUri, setDefaultUri, setOwner, setPermission, setReplication, setTimes, setVerifyChecksum, startLocalOutput`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S3TP_SCHEME

    public static final String S3TP_SCHEME

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### S3HttpFileSystem

    public S3HttpFileSystem()

  Deprecated.

Method Detail

### initialize

    public void initialize(URI uri,
                           Configuration conf)
                    throws IOException

  Deprecated.
  Overrides:
    `initialize` in class `FileSystem`
  Throws:
    `IOException`

### getUri

    public URI getUri()

  Deprecated.
  Specified by:
    `getUri` in class `FileSystem`

### create

    public FSDataOutputStream create(Path path,
                                     FsPermission permission,
                                     boolean overwrite,
                                     int bufferSize,
                                     short replication,
                                     long blockSize,
                                     Progressable progress)
                              throws IOException

  Deprecated.
  Overrides:
    `create` in class `StreamedFileSystem`
  Throws:
    `IOException`

### open

    public FSDataInputStream open(Path path,
                                  int i)
                           throws IOException

  Deprecated.
  Specified by:
    `open` in class `FileSystem`
  Throws:
    `IOException`

### mkdirs

    public boolean mkdirs(Path path,
                          FsPermission fsPermission)
                   throws IOException

  Deprecated.
  Overrides:
    `mkdirs` in class `StreamedFileSystem`
  Throws:
    `IOException`

### delete

    @Deprecated
    public boolean delete(Path path)
                   throws IOException

  Deprecated.

  Overrides:
    `delete` in class `StreamedFileSystem`
  Throws:
    `IOException`

### delete

    public boolean delete(Path path,
                          boolean recursive)
                   throws IOException

  Deprecated.
  Overrides:
    `delete` in class `StreamedFileSystem`
  Throws:
    `IOException`

### exists

    public boolean exists(Path path)
                   throws IOException

  Deprecated.
  Overrides:
    `exists` in class `FileSystem`
  Throws:
    `IOException`

### listStatus

    public FileStatus[] listStatus(Path path)
                            throws IOException

  Deprecated.
  Overrides:
    `listStatus` in class `StreamedFileSystem`
  Throws:
    `IOException`

### getFileStatus

    public FileStatus getFileStatus(Path path)
                             throws IOException

  Deprecated.
  Specified by:
    `getFileStatus` in class `FileSystem`
  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.